package xn.hxp.ui.login.callback;

import androidx.annotation.NonNull;

import com.google.mlkit.vision.face.Face;
import com.king.camera.scan.AnalyzeResult;

import java.util.List;

public interface OnFaceScanResultCallback {
    /**
     * 扫描结果回调
     *
     * @param result 扫描结果
     */
    void onScanResultCallback(@NonNull AnalyzeResult<List<Face>> result);

    /**
     * 扫描结果识别失败时触发此回调方法
     */
    default void onScanResultFailure() {

    }
}
